Role Assignments - Get

Get the specified role assignment.

GET {vaultBaseUrl}/{scope}/providers/Microsoft.Authorization/roleAssignments/{roleAssignmentName}?api-version=7.3

URI Parameters

Name In Required Type Description
roleAssignmentName
path True
  • string

The name of the role assignment to get.

scope
path True
  • string

The scope of the role assignment.

vaultBaseUrl
path True
  • string

The vault name, for example https://myvault.vault.azure.net.

api-version
query True
  • string

Client API version.

Responses

Name Type Description
200 OK

OK - Returns information about the role assignment.

Other Status Codes

Key Vault error response describing why the operation failed.

Examples

GetRoleAssignments

Sample Request

GET https://myvault.vault.azure.net//keys/providers/Microsoft.Authorization/roleAssignments/roleAssignmentName?api-version=7.3

Sample Response

{
  "properties": {
    "roleDefinitionId": "/keys/providers/Microsoft.Authorization/roleDefinitions/roleDefinitionId",
    "principalId": "principalId",
    "scope": "/keys"
  },
  "id": "/keys/providers/Microsoft.Authorization/roleAssignments/roleAssignmentId",
  "type": "Microsoft.Authorization/roleAssignments",
  "name": "roleAssignmentId"
}

Definitions

Error

The key vault server error.

KeyVaultError

The key vault error exception.

RoleAssignment

Role Assignments

RoleAssignmentPropertiesWithScope

Role assignment properties with scope.

RoleScope

The role scope.

Error

The key vault server error.

Name Type Description
code
  • string

The error code.

innererror

The key vault server error.

message
  • string

The error message.

KeyVaultError

The key vault error exception.

Name Type Description
error

The key vault server error.

RoleAssignment

Role Assignments

Name Type Description
id
  • string

The role assignment ID.

name
  • string

The role assignment name.

properties

Role assignment properties.

type
  • string

The role assignment type.

RoleAssignmentPropertiesWithScope

Role assignment properties with scope.

Name Type Description
principalId
  • string

The principal ID.

roleDefinitionId
  • string

The role definition ID.

scope

The role scope.

RoleScope

The role scope.

Name Type Description
/
  • string

Global scope

/keys
  • string

Keys scope